Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731894 - sci-biology/embassy-signature fails to link with LLD because of /usr/lib in the link command line
Summary: sci-biology/embassy-signature fails to link with LLD because of /usr/lib in t...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Biology related packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-09 11:55 UTC by Agostino Sarubbo
Modified: 2021-03-13 12:05 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,24.51 KB, text/plain)
2020-07-09 11:56 UTC, Agostino Sarubbo
Details
other.tar.bz2 (other.tar.bz2,275 bytes, application/x-bzip-compressed-tar)
2020-07-09 11:56 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-09 11:55:58 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-biology/embassy-signature fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64  (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-09 11:56:04 UTC
Created attachment 648536 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-07-09 11:56:07 UTC
Created attachment 648538 [details]
other.tar.bz2

other logs
Comment 3 Larry the Git Cow gentoo-dev 2021-03-13 12:05:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b574f0df77237c1ab159e390b47a1d47db6a6ef

commit 1b574f0df77237c1ab159e390b47a1d47db6a6ef
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2021-03-13 12:05:13 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-03-13 12:05:13 +0000

    sci-biology/embassy-signature: Fix building against clang/LLD
    
    Closes: https://bugs.gentoo.org/731894
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Signed-off-by: David Seifert <soap@gentoo.org>

 ...mbassy-signature-0.1.650_fix-build-system.patch | 31 ++++++++++++----------
 1 file changed, 17 insertions(+), 14 deletions(-)